import request from '/@/utils/request';

export function specialIndexApi() {
    return {
        analyseType: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/analyse/everyType/dep`,
                method: 'post',
                data: data
            });
        },
        analyseAllWork: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/analyse/allWork/dep`,
                method: 'post',
                data: data
            });
        },
        analyseDepMonth: (data: number) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialWork/analyse/12month/dep?depId=${data}`,
                method: 'get'
            });
        },
        getMydepList: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/working/page/my-dep/list`,
                method: 'post',
                data: data
            });
        },
        getWorkRecord: (data: object) => {
            return request({
                url: import.meta.env.VITE_API_URL + `/specialwork9step/work/log`,
                method: 'post',
                data: data
            });
        }
    };
}
